Bug 1444523 - Review Request: ovsdbapp - A library for creating OVSDB applications
Summary: Review Request: ovsdbapp - A library for creating OVSDB applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-04-21 14:09 UTC by Terry Wilson
Modified: 2017-08-08 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:11:18 UTC
amoralej: rdo-review+


Attachments (Terms of Use)
ovsdbapp SRPM (40.53 KB, application/x-rpm)
2017-04-24 14:43 UTC, Terry Wilson
no flags Details
ovsdbapp 0.3.0 SRPM (40.17 KB, application/x-rpm)
2017-04-24 16:13 UTC, Terry Wilson
no flags Details
Merged spec (3.85 KB, text/x-matlab)
2017-04-25 13:37 UTC, Terry Wilson
no flags Details


Links
System ID Priority Status Summary Last Updated
RDO 6340 None None None 2017-04-24 22:36:04 UTC

Description Terry Wilson 2017-04-21 14:09:42 UTC
ovsdbapp is a project split out from the OpenStack Neutron tree. It provides an API for communicating with Open vSwitch via OVSDB. Neutron is now dependent on the ovsdbapp project.

Comment 1 Alfredo Moralejo 2017-04-24 09:42:16 UTC
Source code in https://github.com/openstack/ovsdbapp

SPEC will be reviewed in gerrit workflow in review.rdoproject.org before formal review with fedora-review.

licensecheck output:

$ licensecheck -r .|grep -v Apache
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./MANIFEST.in: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./bindep.txt: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./ovsdbapp/CHANGES: *No copyright* UNKNOWN
./tools/test-setup.sh: *No copyright* UNKNOWN
./tools/tox_install.sh: *No copyright* UNKNOWN
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/usage.rst: *No copyright* UNKNOWN
./releasenotes/notes/configure-ovsdb-manager-a29a148b241a125e.yaml: *No copyright* UNKNOWN
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
[amoralej@faemino ovsdbapp(os_amoralej_oslab)]$ 
[amoralej@faemino ovsdbapp(os_amoralej_oslab)]$ 
[amoralej@faemino ovsdbapp(os_amoralej_oslab)]$ 
[amoralej@faemino ovsdbapp(os_amoralej_oslab)]$ 
[amoralej@faemino ovsdbapp(os_amoralej_oslab)]$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* Apache
./babel.cfg: *No copyright* UNKNOWN
./bindep.txt: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./ovsdbapp/CHANGES: *No copyright* UNKNOWN
./ovsdbapp/__init__.py: *No copyright* Apache (v2.0)
./ovsdbapp/api.py: Apache (v2.0)
./ovsdbapp/constants.py: Apache (v2.0)
./ovsdbapp/exceptions.py: Apache (v2.0)
./tools/test-setup.sh: *No copyright* UNKNOWN
./tools/tox_install.sh: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/usage.rst: *No copyright* UNKNOWN
./ovsdbapp/tests/base.py: Apache (v2.0)
./ovsdbapp/tests/utils.py: *No copyright* Apache (v2.0)
./releasenotes/notes/configure-ovsdb-manager-a29a148b241a125e.yaml: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./ovsdbapp/backend/ovs_idl/command.py: Apache (v2.0)
./ovsdbapp/backend/ovs_idl/connection.py: Apache (v2.0)
./ovsdbapp/backend/ovs_idl/idlutils.py: Apache (v2.0)
./ovsdbapp/backend/ovs_idl/transaction.py: Apache (v2.0)
./ovsdbapp/backend/ovs_idl/vlog.py: Apache (v2.0)
./ovsdbapp/schema/open_vswitch/api.py: Apache (v2.0)
./ovsdbapp/schema/open_vswitch/commands.py: Apache (v2.0)
./ovsdbapp/schema/open_vswitch/helpers.py: Apache (v2.0)
./ovsdbapp/schema/open_vswitch/impl_idl.py: Apache (v2.0)
./ovsdbapp/tests/unit/test_api.py: Apache (v2.0)
./ovsdbapp/tests/functional/schema/open_vswitch/test_impl_idl.py: Apache (v2.0)
./ovsdbapp/tests/unit/backend/ovs_idl/test_connection.py: Apache (v2.0)
./ovsdbapp/tests/unit/backend/ovs_idl/test_helpers.py: Apache (v2.0)
./ovsdbapp/tests/unit/backend/ovs_idl/test_idlutils.py: Apache (v2.0)
./ovsdbapp/tests/unit/schema/open_vswitch/test_impl_idl.py: Apache (v2.0)


License is valid ASL v2.0

Comment 2 Terry Wilson 2017-04-24 14:34:39 UTC
Preliminary spec file here: https://gist.github.com/otherwiseguy/f519d70c2f1f1501153c8f018905bbd8

Comment 3 Terry Wilson 2017-04-24 14:43:32 UTC
Created attachment 1273623 [details]
ovsdbapp SRPM

Comment 4 Alfredo Moralejo 2017-04-24 15:25:20 UTC
Some comments:

- Source0 should be http://tarballs.openstack.org/%{library}/%{library}-%{upstream_version}.tar.gz
- python-openvswitch should be added as BuildRequires also.
- For python2, requires and buildrequires for mock and oslotest should use python-mock and python-oslotest (instead of python2-)
- python2-ovsdbapp should have a Requires on python-pbr (it's imported in https://github.com/openstack/ovsdbapp/blob/master/ovsdbapp/__init__.py)
- iiuc, when running %tests it will try to run both unit and functional tests, and functional will fail as there is not ovsdb running inside build environment. I'd restrict the tests to be executed by setting "OS_TEST_PATH=./ovsdbapp/tests/unit" before running the tests.

Comment 5 Terry Wilson 2017-04-24 16:13:46 UTC
Created attachment 1273644 [details]
ovsdbapp 0.3.0 SRPM

Addressed spec review at https://gist.github.com/otherwiseguy/f519d70c2f1f1501153c8f018905bbd8

New SRPM posted

Comment 6 Terry Wilson 2017-04-25 13:37:36 UTC
Created attachment 1273919 [details]
Merged spec

Comment 7 Terry Wilson 2017-04-25 13:38:41 UTC
The 0.3.0 srpm was built with the spec that merged

Comment 9 Alfredo Moralejo 2017-04-25 16:07:07 UTC
Formal review result:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 28 files have unknown
     license. Detailed output of licensecheck in /tmp/python-
     ovsdbapp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-ovsdbapp , python2-ovsdbapp-tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.3.1.dev6
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-ovsdbapp-0.3.1-0.20170425153903.d61cf0d.el7.centos.noarch.rpm
          python2-ovsdbapp-tests-0.3.1-0.20170425153903.d61cf0d.el7.centos.noarch.rpm
          python-ovsdbapp-0.3.1-0.20170425153903.d61cf0d.el7.centos.src.rpm
python2-ovsdbapp.noarch: W: spelling-error %description -l en_US vSwitch -> v Switch, switch, vs witch
python2-ovsdbapp.noarch: E: no-changelogname-tag
python2-ovsdbapp.noarch: W: no-documentation
python2-ovsdbapp-tests.noarch: E: no-changelogname-tag
python2-ovsdbapp-tests.noarch: W: no-documentation
python-ovsdbapp.src: E: no-changelogname-tag
python-ovsdbapp.src:58: W: macro-in-comment %package
python-ovsdbapp.src:58: W: macro-in-comment %{library}
python-ovsdbapp.src:64: W: macro-in-comment %description
python-ovsdbapp.src:64: W: macro-in-comment %{library}
python-ovsdbapp.src:120: W: macro-in-comment %{__python2}
python-ovsdbapp.src:146: W: macro-in-comment %files
python-ovsdbapp.src:146: W: macro-in-comment %{library}
python-ovsdbapp.src:147: W: macro-in-comment %license
python-ovsdbapp.src:148: W: macro-in-comment %doc
python-ovsdbapp.src: W: invalid-url Source0: ovsdbapp-0.3.1.dev6-0.20170425153903.d61cf0d.tar.gz
3 packages and 0 specfiles checked; 3 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
python2-ovsdbapp-tests.noarch: E: no-changelogname-tag
python2-ovsdbapp-tests.noarch: W: no-documentation
python2-ovsdbapp.noarch: E: no-changelogname-tag
python2-ovsdbapp.noarch: W: no-documentation
2 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
python2-ovsdbapp-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-mock
    python-oslotest
    python-testrepository
    python2-ovsdbapp

python2-ovsdbapp (rpmlib, GLIBC filtered):
    python(abi)
    python-openvswitch
    python-pbr



Provides
--------
python2-ovsdbapp-tests:
    python2-ovsdbapp-tests

python2-ovsdbapp:
    python-ovsdbapp
    python2-ovsdbapp



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1444523
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- About no-changelogname-tag: this is a spec used for DLRN tool, which doesn't use changelog.

Package is approved.

Comment 10 Chandan Kumar 2017-08-08 14:11:18 UTC
The package is now available from the RDO Trunk repo:
https://trunk.rdoproject.org/centos7/current/

and here is the package dist-git : https://github.com/rdo-packages/ovsdbapp-distgit


Note You need to log in before you can comment on or make changes to this bug.